<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+Display:wght@100&family=Orbitron:wght@600&display=swap" rel="stylesheet"> 
    {% load static %}
    <link rel="stylesheet" href="{% static 'styles.css' %}">
  
  </head>
  <body>
    <div class="table-container">
      <h1>FRIEND LIST</h1>
      <table>
        <tr>
          <th>Name</th>
          <th>NPM</th>
          <th>DOB</th>
        </tr>
        <!--For loop through the friends query set-->
        {% for friend in friends %}
        <tr>
          <td>{{ friend.name }}</td>
          <td>{{ friend.npm }}</td>
          <td>{{ friend.date_of_birth }}</td>
        </tr>
        {% endfor %}
        <!-- END SECTION -->
      </table>
    </div>
  </body>
</html>
